
varying vec2 uv;
uniform sampler2D source;
uniform float blurSize;

void main()
{
  vec4 nColor = vec4(0.0);
  nColor += texture2D(source, vec2(uv.x - (0.004*blurSize), uv.y)) * 0.06;
  nColor += texture2D(source, vec2(uv.x - (0.003*blurSize), uv.y)) * 0.09;
  nColor += texture2D(source, vec2(uv.x - (0.002*blurSize), uv.y)) * 0.12;
  nColor += texture2D(source, vec2(uv.x - (0.001*blurSize), uv.y)) * 0.15;
  nColor += texture2D(source, vec2(uv.x, uv.y)) * 0.16;
  nColor += texture2D(source, vec2(uv.x + (0.001*blurSize), uv.y)) * 0.15;
  nColor += texture2D(source, vec2(uv.x + (0.002*blurSize), uv.y)) * 0.12;
  nColor += texture2D(source, vec2(uv.x + (0.003*blurSize), uv.y)) * 0.09;
  nColor += texture2D(source, vec2(uv.x + (0.004*blurSize), uv.y)) * 0.06;
  
  gl_FragColor = min(texture2D(source, uv.xy), nColor);
}
